/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#ifndef _POSTERS_H_RPCGEN
#define _POSTERS_H_RPCGEN

#include <rpc/rpc.h>

#include <pthread.h>

#ifdef __cplusplus
extern "C" {
#endif


enum POSTER_STATUS {
	POSTER_OK = 0,
	POSTER_ERROR = 1,
};
typedef enum POSTER_STATUS POSTER_STATUS;

struct POSTER_FIND_RESULT {
	int status;
	int id;
	int length;
	int endianness;
};
typedef struct POSTER_FIND_RESULT POSTER_FIND_RESULT;

struct POSTER_CREATE_PAR {
	char *name;
	int length;
	int endianness;
};
typedef struct POSTER_CREATE_PAR POSTER_CREATE_PAR;

struct POSTER_CREATE_RESULT {
	int status;
	int id;
};
typedef struct POSTER_CREATE_RESULT POSTER_CREATE_RESULT;

struct POSTER_WRITE_PAR {
	int id;
	int offset;
	int length;
	struct {
		u_int data_len;
		char *data_val;
	} data;
};
typedef struct POSTER_WRITE_PAR POSTER_WRITE_PAR;

struct POSTER_READ_PAR {
	int id;
	int offset;
	int length;
};
typedef struct POSTER_READ_PAR POSTER_READ_PAR;

struct POSTER_READ_RESULT {
	int status;
	struct {
		u_int data_len;
		char *data_val;
	} data;
};
typedef struct POSTER_READ_RESULT POSTER_READ_RESULT;

struct POSTER_RESIZE_PAR {
	int id;
	int size;
};
typedef struct POSTER_RESIZE_PAR POSTER_RESIZE_PAR;

struct POSTER_IOCTL_PAR {
	int id;
	int cmd;
};
typedef struct POSTER_IOCTL_PAR POSTER_IOCTL_PAR;

struct POSTER_IOCTL_RESULT {
	int status;
	u_long ntick;
	u_short msec;
	u_short sec;
	u_short minute;
	u_short hour;
	u_short day;
	u_short date;
	u_short month;
	u_short year;
};
typedef struct POSTER_IOCTL_RESULT POSTER_IOCTL_RESULT;

struct POSTER_LIST {
	char name[32];
	int id;
	int size;
	int fresh;
	u_long tv_sec;
	u_long tv_nsec;
	struct POSTER_LIST *next;
};
typedef struct POSTER_LIST POSTER_LIST;

struct POSTER_LIST_RESULT {
	POSTER_LIST *list;
};
typedef struct POSTER_LIST_RESULT POSTER_LIST_RESULT;

#define POSTER_SERV 600000001
#define POSTER_VERSION 1

#if defined(__STDC__) || defined(__cplusplus)
#define poster_find 1
extern  enum clnt_stat poster_find_1(char **, POSTER_FIND_RESULT *, CLIENT *);
extern  bool_t poster_find_1_svc(char **, POSTER_FIND_RESULT *, struct svc_req *);
#define poster_create 2
extern  enum clnt_stat poster_create_1(POSTER_CREATE_PAR *, POSTER_CREATE_RESULT *, CLIENT *);
extern  bool_t poster_create_1_svc(POSTER_CREATE_PAR *, POSTER_CREATE_RESULT *, struct svc_req *);
#define poster_write 3
extern  enum clnt_stat poster_write_1(POSTER_WRITE_PAR *, int *, CLIENT *);
extern  bool_t poster_write_1_svc(POSTER_WRITE_PAR *, int *, struct svc_req *);
#define poster_read 4
extern  enum clnt_stat poster_read_1(POSTER_READ_PAR *, POSTER_READ_RESULT *, CLIENT *);
extern  bool_t poster_read_1_svc(POSTER_READ_PAR *, POSTER_READ_RESULT *, struct svc_req *);
#define poster_delete 5
extern  enum clnt_stat poster_delete_1(int *, int *, CLIENT *);
extern  bool_t poster_delete_1_svc(int *, int *, struct svc_req *);
#define poster_ioctl 6
extern  enum clnt_stat poster_ioctl_1(POSTER_IOCTL_PAR *, POSTER_IOCTL_RESULT *, CLIENT *);
extern  bool_t poster_ioctl_1_svc(POSTER_IOCTL_PAR *, POSTER_IOCTL_RESULT *, struct svc_req *);
#define poster_list 7
extern  enum clnt_stat poster_list_1(void *, POSTER_LIST_RESULT *, CLIENT *);
extern  bool_t poster_list_1_svc(void *, POSTER_LIST_RESULT *, struct svc_req *);
#define poster_resize 8
extern  enum clnt_stat poster_resize_1(POSTER_RESIZE_PAR *, int *, CLIENT *);
extern  bool_t poster_resize_1_svc(POSTER_RESIZE_PAR *, int *, struct svc_req *);
extern int poster_serv_1_freeresult (SVCXPRT *, xdrproc_t, caddr_t);

#else /* K&R C */
#define poster_find 1
extern  enum clnt_stat poster_find_1();
extern  bool_t poster_find_1_svc();
#define poster_create 2
extern  enum clnt_stat poster_create_1();
extern  bool_t poster_create_1_svc();
#define poster_write 3
extern  enum clnt_stat poster_write_1();
extern  bool_t poster_write_1_svc();
#define poster_read 4
extern  enum clnt_stat poster_read_1();
extern  bool_t poster_read_1_svc();
#define poster_delete 5
extern  enum clnt_stat poster_delete_1();
extern  bool_t poster_delete_1_svc();
#define poster_ioctl 6
extern  enum clnt_stat poster_ioctl_1();
extern  bool_t poster_ioctl_1_svc();
#define poster_list 7
extern  enum clnt_stat poster_list_1();
extern  bool_t poster_list_1_svc();
#define poster_resize 8
extern  enum clnt_stat poster_resize_1();
extern  bool_t poster_resize_1_svc();
extern int poster_serv_1_freeresult ();
#endif /* K&R C */

/* the xdr functions */

#if defined(__STDC__) || defined(__cplusplus)
extern  bool_t xdr_POSTER_STATUS (XDR *, POSTER_STATUS*);
extern  bool_t xdr_POSTER_FIND_RESULT (XDR *, POSTER_FIND_RESULT*);
extern  bool_t xdr_POSTER_CREATE_PAR (XDR *, POSTER_CREATE_PAR*);
extern  bool_t xdr_POSTER_CREATE_RESULT (XDR *, POSTER_CREATE_RESULT*);
extern  bool_t xdr_POSTER_WRITE_PAR (XDR *, POSTER_WRITE_PAR*);
extern  bool_t xdr_POSTER_READ_PAR (XDR *, POSTER_READ_PAR*);
extern  bool_t xdr_POSTER_READ_RESULT (XDR *, POSTER_READ_RESULT*);
extern  bool_t xdr_POSTER_RESIZE_PAR (XDR *, POSTER_RESIZE_PAR*);
extern  bool_t xdr_POSTER_IOCTL_PAR (XDR *, POSTER_IOCTL_PAR*);
extern  bool_t xdr_POSTER_IOCTL_RESULT (XDR *, POSTER_IOCTL_RESULT*);
extern  bool_t xdr_POSTER_LIST (XDR *, POSTER_LIST*);
extern  bool_t xdr_POSTER_LIST_RESULT (XDR *, POSTER_LIST_RESULT*);

#else /* K&R C */
extern bool_t xdr_POSTER_STATUS ();
extern bool_t xdr_POSTER_FIND_RESULT ();
extern bool_t xdr_POSTER_CREATE_PAR ();
extern bool_t xdr_POSTER_CREATE_RESULT ();
extern bool_t xdr_POSTER_WRITE_PAR ();
extern bool_t xdr_POSTER_READ_PAR ();
extern bool_t xdr_POSTER_READ_RESULT ();
extern bool_t xdr_POSTER_RESIZE_PAR ();
extern bool_t xdr_POSTER_IOCTL_PAR ();
extern bool_t xdr_POSTER_IOCTL_RESULT ();
extern bool_t xdr_POSTER_LIST ();
extern bool_t xdr_POSTER_LIST_RESULT ();

#endif /* K&R C */

#ifdef __cplusplus
}
#endif

#endif /* !_POSTERS_H_RPCGEN */
